From 120f64e939c7b1f89ff8f0e12a25cdaf67463497 Mon Sep 17 00:00:00 2001
From: Dinko Korunic <kreator@carnet.hr>
Date: Wed, 27 Apr 2011 12:50:59 +0200
Subject: [PATCH] - optimizacija confa - changelogs - priprema za Squeeze -
 lintian fixevi

---
 changelog.CARNet |    1 -
 debian/changelog |   13 ++++++++++
 debian/compat    |    2 +-
 debian/control   |    6 ++---
 debian/copyright |    7 ++++++
 debian/docs      |    1 -
 debian/postinst  |   70 +++++++++++++++++++++++++++++++++++++++++++++++++++
 debian/postrm    |   52 ++++++++++++++++++++++++++++++++++++++
 debian/rules     |   74 ++----------------------------------------------------
 9 files changed, 148 insertions(+), 78 deletions(-)
 delete mode 120000 changelog.CARNet
 create mode 100644 debian/copyright
 create mode 100755 debian/postinst
 create mode 100755 debian/postrm

diff --git a/changelog.CARNet b/changelog.CARNet
deleted file mode 120000
index 194579e..0000000
--- a/changelog.CARNet
+++ /dev/null
@@ -1 +0,0 @@
-changelog.Debian
\ No newline at end of file
diff --git a/debian/changelog b/debian/changelog
index 1196227..1a9fbdc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+php-suhosin-cn (0.9.32.2) stable; urgency=low
+
+  * lintian fixevi
+
+ -- Dinko Korunic <kreator@carnet.hr>  Wed, 27 Apr 2011 09:15:09 +0200
+
+php-suhosin-cn (0.9.32.1) stable; urgency=low
+
+  * upgrade paketa za Squeeze
+  * lintian fixevi
+
+ -- Dinko Korunic <kreator@carnet.hr>  Wed, 26 Apr 2011 09:15:09 +0200
+
 php-suhosin-cn (0.9.27-1) stable; urgency=low
 
   * Upgrade paketa za Lenny
diff --git a/debian/compat b/debian/compat
index b8626c4..7f8f011 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-4
+7
diff --git a/debian/control b/debian/control
index 0cc2a16..aa2402c 100644
--- a/debian/control
+++ b/debian/control
@@ -2,12 +2,12 @@ Source: php-suhosin-cn
 Section: net
 Priority: optional
 Maintainer: Dinko Korunic <kreator@CARNet.hr>
-Build-Depends: debhelper (>= 4)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.1
 
 Package: php-suhosin-cn
 Architecture: all
-Depends: php5-suhosin (>= 0.9.27-1)
+Depends: php5-suhosin (>= 0.9.32.1-1)
 Description: advanced protection module for php5 -- CARNet version
  This package provides a module for suhosin functions.
  .
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..5350ae7
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,7 @@
+Copyright 2011 CARNet 
+
+You are free to distribute this software package under the terms of the
+GNU General Public License.
+
+On Debian systems, the complete text of the GNU General Public
+License can be found in the file /usr/share/common-licenses/GPL.
diff --git a/debian/docs b/debian/docs
index ef5ce6c..8f6e250 100644
--- a/debian/docs
+++ b/debian/docs
@@ -1,2 +1 @@
-changelog.CARNet
 README.CARNet
diff --git a/debian/postinst b/debian/postinst
new file mode 100755
index 0000000..2fccdb0
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,70 @@
+#!/bin/sh
+# postinst script for proftpd-cn
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+    configure|reconfigure)
+      # continue below
+    ;;
+
+    *)
+        exit 0
+    ;;
+esac
+
+# Import CN toolsa
+. /usr/share/carnet-tools/functions.sh
+
+CONF=/etc/php5/conf.d/suhosin.ini
+
+if [ -e "$CONF" ]; then
+    echo "CN: Enabling Suhosin tuneups"    
+    cp -a "$CONF" "$CONF.$$"
+    cp-update --comment ';' php-suhosin-cn "$CONF.$$" <<EOF
+suhosin.cookie.max_name_length=1024
+suhosin.cookie.max_vars=1024
+suhosin.get.max_array_depth=1024
+suhosin.get.max_name_length=1024
+suhosin.get.max_value_length=307200
+suhosin.get.max_vars=1024
+suhosin.post.max_array_depth=1024
+suhosin.post.max_name_length=1024
+suhosin.post.max_value_length=307200
+suhosin.post.max_vars=1024
+suhosin.request.max_array_depth=1024
+suhosin.request.max_value_length=307200
+suhosin.request.max_varname_length=1024
+suhosin.request.max_vars=1024
+EOF
+	cp_mv "$CONF.$$" "$CONF"
+fi
+
+# reload Apache
+if apache2ctl configtest 2>/dev/null; then
+    echo "CN: Reloading Apache..."
+    invoke-rc.d apache2 force-reload || true
+else
+    echo "CN: Your Apache2 configuration is either broken or nonexistant"
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/postrm b/debian/postrm
new file mode 100755
index 0000000..96cbcd3
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,52 @@
+#!/bin/sh
+# postrm script for monit-cn
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+    purge)
+      # continue below
+    ;;
+
+    *)
+        exit 0
+    ;;
+esac
+
+# import CN-functions
+. /usr/share/carnet-tools/functions.sh
+
+CONF=/etc/php5/conf.d/suhosin.ini
+
+# remove us from inittab
+echo "CN: Removing Suhosin tuneups"
+cp-update --comment ';' -r php-suhosin-cn "$CONF"
+
+# reload Apache
+if apache2ctl configtest 2>/dev/null; then
+    echo "CN: Reloading Apache..."
+    invoke-rc.d apache2 force-reload || true
+else
+    echo "CN: Your Apache2 configuration is either broken or nonexistant"
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/rules b/debian/rules
index ec73f03..cbe925d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,73 +1,3 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper. 
-# This file is public domain software, originally written by Joey Hess.
-#
-# This version is for packages that are architecture independent.
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-build: build-stamp
-build-stamp:
-	dh_testdir
-
-	# Add here commands to compile the package.
-	#$(MAKE)
-
-	touch build-stamp
-
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
-	#-$(MAKE) clean
-	#-$(MAKE) distclean
-
-	dh_clean
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	dh_installdirs
-
-	# Add here commands to install the package into debian/<packagename>.
-	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
-
-# Build architecture-independent files here.
-binary-indep: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installcatalogs
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-#	dh_undocumented
-	dh_installman
-	dh_link
-	dh_compress
-	dh_fixperms
-#	dh_perl
-#	dh_python
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-# Build architecture-dependent files here.
-binary-arch: build install
-# We have nothing to do by default.
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+%:
+	dh $@
-- 
1.7.10.4